## org.omg.CORBA
Class OperationDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.OperationDefHelper

public class OperationDefHelper
extends java.lang.Object

Helper class for : OperationDef

Author:
  OpenORB Compiler

Constructor Summary
`OperationDefHelper()`

Method Summary
`static OperationDef` `extract(Any a)` Extract OperationDef from an any
`static java.lang.String` `id()` Return the OperationDef IDL ID
`static void` `insert(Any a, OperationDef t)` Insert OperationDef into an any
`static OperationDef` `narrow(Object obj)` Narrow CORBA::Object to OperationDef
`static OperationDef` `read(InputStream istream)` Read OperationDef from a marshalled stream
`static TypeCode` `type()` Return the OperationDef TypeCode
`static OperationDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to OperationDef
`static void` `write(OutputStream ostream, OperationDef value)` Write OperationDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationDefHelper

    public OperationDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              OperationDef t)

  Insert OperationDef into an any
  Parameters:
    `a` - an any
    `t` - OperationDef value

### extract

    public static OperationDef extract(Any a)

  Extract OperationDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted OperationDef value

### type

    public static TypeCode type()

  Return the OperationDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the OperationDef IDL ID
  Returns:
    an ID

### read

    public static OperationDef read(InputStream istream)

  Read OperationDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed OperationDef value

### write

    public static void write(OutputStream ostream,
                             OperationDef value)

  Write OperationDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - OperationDef value

### narrow

    public static OperationDef narrow(Object obj)

  Narrow CORBA::Object to OperationDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    OperationDef Object

### unchecked_narrow

    public static OperationDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to OperationDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    OperationDef Object